Skip to content

getInventoryCountLines

READ

Get inventory count lines.

POST /api/v1/inventory/getInventoryCountLines
curl -X POST '<your-host>/api/v1/inventory/getInventoryCountLines' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "inventoryCountId": "string",
    "args": {}
  }'
Response
{
  "results": [
    {
      "companyId": "string",
      "countedAt": "string",
      "countedBy": "string",
      "countedQuantity": 0,
      "createdAt": "string",
      "createdBy": "string",
      "customFields": "…",
      "dimension": "string",
      "dimensionId": "string",
      "finish": "string",
      "finishId": "string",
      "grade": "string",
      "gradeId": "string",
      "id": "string",
      "inventoryCountId": "string",
      "itemId": "string",
      "itemName": "string",
      "itemReadableIdWithRevision": "string",
      "itemThumbnailPath": "string",
      "itemTrackingType": "Inventory",
      "locationId": "string",
      "materialFormId": "string",
      "materialSubstanceId": "string",
      "materialType": "string",
      "materialTypeId": "string",
      "postedItemLedgerId": "string",
      "readableId": "string",
      "storageTypeIds": [
        "string"
      ],
      "storageUnitId": "string",
      "systemQuantity": 0,
      "tags": [
        "string"
      ],
      "trackedEntityId": "string",
      "type": "Part",
      "unitOfMeasureCode": "string",
      "updatedAt": "string",
      "updatedBy": "string",
      "variance": 0
    }
  ],
  "count": null
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "inventoryCountId": {
      "type": "string"
    },
    "args": {
      "type": "object",
      "properties": {
        "limit": {
          "type": "integer",
          "default": 100
        },
        "offset": {
          "type": "integer",
          "default": 0
        },
        "search": {
          "type": [
            "string",
            "null"
          ]
        }
      }
    }
  },
  "required": [
    "inventoryCountId",
    "args"
  ]
}